<?php

require ("sharedResources.php");

$sid = '';
try {
	// We need a SID (session ID) in order to operate
	$sid = login ( 'admin', 'admin' );
	echo 'sid: ' . $sid . PHP_EOL;
	
	$lParams = array ('sid' => $sid);
	
  $formClient = new SoapClient ('http://localhost:9080/services/Form?wsdl');
	$result = $formClient->list ( $lParams );
	//print_r ( $result );
  
	foreach ( $result->forms as $form ) {	
		   echo "name: " .$form->name . PHP_EOL;
       echo "id: " .$form->id . PHP_EOL;
       echo "templateId: " .$form->templateId . PHP_EOL . PHP_EOL;
	}  
	
} catch ( SoapFault $e ) {
	print_r ( $e );
} 

// Always we need to logout in order to release connection slot
logout ( $sid );
?> 
	